Get company posts
curl --request GET \
--url https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/linkedin/companies/microsoft/posts",
"totalItems": null,
"cursor": null,
"nextCursor": "eyJvIjoi",
"next": "https://api.konbiniapi.com/v1/linkedin/companies/microsoft/posts?cursor=eyJvIjoi",
"itemCount": 30,
"orderedItems": [
{
"type": "Note",
"id": "https://www.linkedin.com/posts/microsoft_this-month-the-microsoft-atlanta-team-in-activity-7516505833061474305-T6ou",
"url": "https://www.linkedin.com/posts/microsoft_this-month-the-microsoft-atlanta-team-in-activity-7516505833061474305-T6ou",
"content": "This month, the Microsoft Atlanta team, in partnership with Black in Technology, hosted the 404 Tech Summit (BitCon) for two days of conversations on AI and the future of work with Atlanta's tech community. Great to learn alongside the technologists, students, and leaders…",
"entityId": "7516505833061474305",
"published": "2026-10-15T14:30:40.526Z",
"likeCount": 229,
"attributedTo": {
"type": "Organization",
"id": "https://www.linkedin.com/company/microsoft",
"url": "https://www.linkedin.com/company/microsoft",
"name": "Microsoft",
"preferredUsername": "microsoft",
"followerCount": 12000,
"icon": {
"type": "Image",
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_200_200/B56ZRi8g.aGsAY-/0/1736826818802?e=2147483647&v=beta&t=bKWfN6UwwtiCqFWsG7rBELbd48qJOAMLdxhBzzkJV0k",
"name": "Bill Gates"
}
}
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Companies
Get company posts
Returns recent posts from a LinkedIn company page, newest first. Use cursor to page through further results.
GET
/
v1
/
linkedin
/
companies
/
{company}
/
posts
Get company posts
curl --request GET \
--url https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/linkedin/companies/{company}/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/linkedin/companies/microsoft/posts",
"totalItems": null,
"cursor": null,
"nextCursor": "eyJvIjoi",
"next": "https://api.konbiniapi.com/v1/linkedin/companies/microsoft/posts?cursor=eyJvIjoi",
"itemCount": 30,
"orderedItems": [
{
"type": "Note",
"id": "https://www.linkedin.com/posts/microsoft_this-month-the-microsoft-atlanta-team-in-activity-7516505833061474305-T6ou",
"url": "https://www.linkedin.com/posts/microsoft_this-month-the-microsoft-atlanta-team-in-activity-7516505833061474305-T6ou",
"content": "This month, the Microsoft Atlanta team, in partnership with Black in Technology, hosted the 404 Tech Summit (BitCon) for two days of conversations on AI and the future of work with Atlanta's tech community. Great to learn alongside the technologists, students, and leaders…",
"entityId": "7516505833061474305",
"published": "2026-10-15T14:30:40.526Z",
"likeCount": 229,
"attributedTo": {
"type": "Organization",
"id": "https://www.linkedin.com/company/microsoft",
"url": "https://www.linkedin.com/company/microsoft",
"name": "Microsoft",
"preferredUsername": "microsoft",
"followerCount": 12000,
"icon": {
"type": "Image",
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_200_200/B56ZRi8g.aGsAY-/0/1736826818802?e=2147483647&v=beta&t=bKWfN6UwwtiCqFWsG7rBELbd48qJOAMLdxhBzzkJV0k",
"name": "Bill Gates"
}
}
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}